import BaseItem from "./baseItem.mjs";

const {
    NumberField, 
    SchemaField, 
    ArrayField, 
    StringField, 
    HTMLField
} = foundry.data.fields;

export class LiturgyDataModel extends BaseItem {

    static defineSchema() {
        return {
            herkunft: new ArrayField(new SchemaField({
                name: new StringField(),
                grad: new NumberField(),
            })),
            grad: new NumberField({min: 1, max: 5}),
            reichweite: new StringField(),
            ziel: new StringField(),
            zielArt: new StringField(), // Person, Object
            wirkungsdauer: new StringField(),
            zauberdauer: new StringField(),
            auswirkung: new SchemaField({
                I: new HTMLField(),
                II: new HTMLField(),
                III: new HTMLField(),
                IV: new HTMLField(),
                V: new HTMLField(),
                VI: new HTMLField(),
                VII: new HTMLField(),
                VIII: new HTMLField(),
            })

        }
    }

    prepareData() {
    }

    /**
     * Prepare a data object which is passed to any Roll formulas which are created related to this Item
     * @private
     */
    getRollData() {
    }

    /**
     * Handle clickable rolls.
     * @param {Event} event   The originating click event
     * @private
     */
    async roll() {
    }

}
